import { Environment } from '../bootstrapping/environment';
import { EveClient } from './eve-client';
import { MarketplaceRegion } from '../models/marketplace-region';
export declare class DeveloperConfigClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    getMwsConfig(developerId: string): Promise<ApiMwsDeveloperConfig>;
}
export interface ApiMwsDeveloperConfig {
    accessKey: string;
    secretKey: string;
    developerId: string;
    region: MarketplaceRegion;
}
