import { EveClient } from './eve-client';
import { ObjectId } from 'bson';
import { Environment } from '../bootstrapping/environment';
import { AmazonType } from '../models/marketplace-names';
export declare class MwsCredentialsClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    getCredentials(companyId: ObjectId, marketplace: AmazonType): Promise<ApiMwsCredentials>;
}
interface ApiMwsCredentials {
    developerId: string;
    token: string;
    sellerId: string;
    marketplaceId: string;
}
export {};
