import { ObjectId } from 'bson';
import { Environment } from '../bootstrapping/environment';
import { EveClient } from './eve-client';
import { MarketplaceName } from '..';
export interface ApiProductAutopricingHistory {
    companyId: ObjectId;
    marketplace: MarketplaceName;
    sku: string;
    active?: boolean;
    current?: number;
    currentShipping?: number;
    otherLowest?: number;
    otherLowestShipping?: number;
    autoprice?: number;
    selling?: number;
    buybox?: boolean;
    isListingUpdate: boolean;
    date: Date;
}
export declare class ProductAutopricingHistoryClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    get(companyId: ObjectId, marketplace: MarketplaceName, sku: string, before?: Date, after?: Date, isListingUpdate?: boolean): Promise<ApiProductAutopricingHistory[]>;
}
