import { ObjectId } from 'bson';
import { Environment } from '../bootstrapping/environment';
import { EveClient } from './eve-client';
import { MarketplaceName } from '..';
export interface ApiAmazonErrorRates {
    companyId: ObjectId;
    code: string;
    marketplace: MarketplaceName;
    message: string;
    count: number;
}
export declare class AmazonErrorRatesClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    getTopTen(companyId: ObjectId, marketplace: MarketplaceName): Promise<ApiAmazonErrorRates[]>;
}
