import { ObjectId } from 'bson';
import { ConsoleLogger } from '..';
export interface ShieldOptions<T> {
    fn: () => Promise<T>;
    sleepTime: number;
    procedureId?: string;
    companyId: ObjectId;
    operation: string;
    skipLog?: boolean;
}
export declare class ThrottleShield {
    private logger;
    constructor(logger: ConsoleLogger);
    shield<T>(options: ShieldOptions<T>): Promise<T>;
}
